org.apache.poi.hssf.record

## Class BoolErrRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.CellRecord
        - - org.apache.poi.hssf.record.BoolErrRecord

- All Implemented Interfaces:
    Duplicatable, CellValueRecordInterface

      public final class BoolErrRecord
      extends CellRecord

  Creates new BoolErrRecord. (0x0205)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoolErrRecord()` Creates new BoolErrRecord
    `BoolErrRecord(BoolErrRecord other)`
    `BoolErrRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendValueText(java.lang.StringBuilder sb)` Append specific debug info (used by `CellRecord.toString()` for the value contained in this record.
    `BoolErrRecord` | `clone()` Deprecated.
    `BoolErrRecord` | `copy()`
    `boolean` | `getBooleanValue()` get the value for the cell
    `byte` | `getErrorValue()` get the error value for the cell
    `protected java.lang.String` | `getRecordName()` Gets the debug info BIFF record type name (used by `CellRecord.toString()`.
    `short` | `getSid()` return the non static version of the id for this record.
    `protected int` | `getValueDataSize()`
    `boolean` | `isBoolean()` Indicates whether the call holds a boolean value
    `boolean` | `isError()` Indicates whether the call holds an error value
    `protected void` | `serializeValue(LittleEndianOutput out)` writes out the value data for this cell record
    `void` | `setValue(boolean value)` set the boolean value for the cell
    `void` | `setValue(byte value)` set the error value for the cell.
    `void` | `setValue(FormulaError value)` set the error value for the cell

    - ### Methods inherited from class org.apache.poi.hssf.record.CellRecord

      `getColumn, getDataSize, getRow, getXFIndex, serialize, setColumn, setRow, setXFIndex, toString`

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BoolErrRecord

          public BoolErrRecord()

      Creates new BoolErrRecord

    - #### BoolErrRecord

          public BoolErrRecord(BoolErrRecord other)

    - #### BoolErrRecord

          public BoolErrRecord(RecordInputStream in)

      Parameters:
        `in` - the RecordInputstream to read the record from

  - ### Method Detail

    - #### setValue

          public void setValue(boolean value)

      set the boolean value for the cell
      Parameters:
        `value` - representing the boolean value

    - #### setValue

          public void setValue(byte value)

      set the error value for the cell. See `FormulaError` for valid codes.
      Parameters:
        `value` - error representing the error value this value can only be 0,7,15,23,29,36 or 42 see bugzilla bug 16560 for an explanation

    - #### setValue

          public void setValue(FormulaError value)

      set the error value for the cell
      Parameters:
        `value` - error representing the error value this value can only be 0,7,15,23,29,36 or 42 see bugzilla bug 16560 for an explanation

    - #### getBooleanValue

          public boolean getBooleanValue()

      get the value for the cell
      Returns:
        boolean representing the boolean value

    - #### getErrorValue

          public byte getErrorValue()

      get the error value for the cell
      Returns:
        byte representing the error value

    - #### isBoolean

          public boolean isBoolean()

      Indicates whether the call holds a boolean value
      Returns:
        boolean true if the cell holds a boolean value

    - #### isError

          public boolean isError()

      Indicates whether the call holds an error value
      Returns:
        boolean true if the cell holds an error value

    - #### getRecordName

          protected java.lang.String getRecordName()

      Description copied from class: `CellRecord`
      Gets the debug info BIFF record type name (used by `CellRecord.toString()`.
      Specified by:
        `getRecordName` in class `CellRecord`
      Returns:
        the record type name

    - #### appendValueText

          protected void appendValueText(java.lang.StringBuilder sb)

      Description copied from class: `CellRecord`
      Append specific debug info (used by `CellRecord.toString()` for the value contained in this record. Trailing new-line should not be appended (superclass does that).
      Specified by:
        `appendValueText` in class `CellRecord`
      Parameters:
        `sb` - the StringBuilder to write to

    - #### serializeValue

          protected void serializeValue(LittleEndianOutput out)

      Description copied from class: `CellRecord`
      writes out the value data for this cell record
      Specified by:
        `serializeValue` in class `CellRecord`
      Parameters:
        `out` - the output

    - #### getValueDataSize

          protected int getValueDataSize()

      Specified by:
        `getValueDataSize` in class `CellRecord`
      Returns:
        the size (in bytes) of the value data for this cell record

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public BoolErrRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public BoolErrRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `CellRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.